using cuqmbr.TravelGuide.Application.Common.Models;
using MediatR;

namespace cuqmbr.TravelGuide.Application.Aircrafts.Queries.GetAircraftsPage;

public record GetAircraftsPageQuery : IRequest<PaginatedList<AircraftDto>>
{
    public int PageNumber { get; set; } = 1;

    public int PageSize { get; set; } = 10;

    public string Search { get; set; } = String.Empty;

    public string Sort { get; set; } = String.Empty;

    public string? Number { get; set; }

    public string? Model { get; set; }

    public short? CapacityGreaterOrEqualThan { get; set; }

    public short? CapacityLessOrEqualThan { get; set; }
}
